User Tag List

Results 1 to 7 of 7

Thread: Need the android build-tools API 14 - For old version of MMF2

  1. #1
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleSWF Export Module
    Shadows_G26's Avatar
    Join Date
    Aug 2011
    Posts
    49
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)

    Question Need the android build-tools API 14 - For old version of MMF2

    Hello,


    I need your help,

    The package of build-tools_r14 is unavailable on the web…

    Anyone have the zip (or are able to make it) of the Android SDK build-tools_r14 (4.0.0)? (Look on Drive:\android-sdk\build-tools\14.x.x)

    Thank you in advance if anyone have this! It would be fantastic.

    Bests Regards!

    Shadows_g26

  2. #2
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)iOS Export Module (Steam)

    Join Date
    May 2014
    Posts
    223
    Mentioned
    6 Post(s)
    Tagged
    0 Thread(s)
    I'm not sure if this method still works, but you could try using the old SDK manager tool to see if the old APIs are still downloadable from there. Here is a link where you can download the old SDK manager: https://en.softonic.com/download/and...oad/v/3.0.0.18

    After downloading this, launch the installer, then launch SDK Manager.exe, select API 14 (I think you might also need to select API 10 for this to work, although I'm not entirely sure), and then press on the install packages button. I know this method still worked about a year or so ago, but I haven't used it since, so I can't make any guarantees.

  3. #3
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleSWF Export Module
    Shadows_G26's Avatar
    Join Date
    Aug 2011
    Posts
    49
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)

    Lightbulb finded!

    Quote Originally Posted by Nemeean_lion View Post
    I'm not sure if this method still works, but you could try using the old SDK manager tool to see if the old APIs are still downloadable from there. Here is a link where you can download the old SDK manager: https://en.softonic.com/download/and...oad/v/3.0.0.18

    After downloading this, launch the installer, then launch SDK Manager.exe, select API 14 (I think you might also need to select API 10 for this to work, although I'm not entirely sure), and then press on the install packages button. I know this method still worked about a year or so ago, but I haven't used it since, so I can't make any guarantees.
    Hi,

    Thank you for your help and this solution, but API 14 is not available via the SDK Manager.

    Well, after all these hours of research and debugging, I ended up finding API 14 sources!

    I share the links, do you ever know:

    The SDK tool's here : https://android-development-tools-of...s-offline.html
    The SDK platform module's here : https://androidsdkmanager.azurewebsites.net/SDKPlatform

    I don't remember where i find the r14 setup, so, i've backup all!.

    I confirm to you, the "copy/past" be run from any SDK Manager

    Solved.

    Shadows_g26.

  4. #4
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleSWF Export Module
    Shadows_G26's Avatar
    Join Date
    Aug 2011
    Posts
    49
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    , finally not, i need the package : build-tools_r14-windows.zip
    So if anyone have it on his SDK folder...

    androiksdk\build-tools\14.0 , are you able to send me it on zip file ?

    SDK_Android_API_14.png

    Thank You!

    Regards!

    Shadows_g26

  5. #5
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleSWF Export Module
    Shadows_G26's Avatar
    Join Date
    Aug 2011
    Posts
    49
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    ... Oops, i finded what i need build-tools_r14-windows.zip; this post's resolved.

  6. #6
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,697
    Mentioned
    292 Post(s)
    Tagged
    4 Thread(s)
    Quote Originally Posted by Shadows_G26 View Post
    , finally not, i need the package : build-tools_r14-windows.zip
    So if anyone have it on his SDK folder...

    androiksdk\build-tools\14.0 , are you able to send me it on zip file ?

    SDK_Android_API_14.png

    Thank You!

    Regards!

    Shadows_g26
    why you want to build with an old framework which is not accepted anymore by Google?

    furthermore latest version of android runtime have remove several deprecated code that was generating issues with latest devices.
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  7. #7
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleSWF Export Module
    Shadows_G26's Avatar
    Join Date
    Aug 2011
    Posts
    49
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    Hello Fernando,

    Just to make it work on an old device, this particular application isn't intended to end up on the Play Sotre

    Regards.

Similar Threads

  1. Build API, Minimum Android Version, Target Android Version?
    By KLiK-iT in forum Android Export Module 2.5
    Replies: 4
    Last Post: 9th July 2014, 01:50 PM
  2. MMF2 Build #249 - Final version
    By Yves in forum Multimedia Fusion 2 - Technical Support
    Replies: 157
    Last Post: 4th November 2010, 06:56 PM
  3. MMF2 Build #249 - Version finale
    By Yves in forum Multimedia Fusion 2 - Technical Support
    Replies: 9
    Last Post: 27th October 2010, 03:45 AM
  4. MMF2 Build 249 - Version Pre-release
    By Yves in forum Multimedia Fusion 2 - Technical Support
    Replies: 31
    Last Post: 29th April 2010, 09:15 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •